This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 528222 - LiveCD intermittently gets stuck during shutdown
LiveCD intermittently gets stuck during shutdown
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-10-09 16:54 EDT by Warren Togami
Modified: 2014-03-16 23:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-21 18:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-10-09 16:54:49 EDT
livecd-tools-028-1.fc12
initscripts-9.00-1
anaconda-12.35-1.fc12

Nightly LiveCD 20091009

LiveCD intermittently gets stuck during shutdown.  This might be happening after liveinst, or maybe without having run it.  Not sure.

VT7
===
Sending all processes the TERM signal...                                 [  OK  ]
Sending all processes the KILL signal...                                 [  OK  ]
Saving random seed:                                                      [  OK  ]
Unmounting file systems:                                                 [  OK  ]
Please remove the CD from your drive and press Enter to finish restarting
/etc/rc0.d/S01halt: line 161: /bin/mount: Input/output error
Halting system...
Comment 1 James Laska 2009-10-14 11:09:42 EDT
Cc'ing dwalsh (SELinux) and rstrode (plymouth).  TTy1 shows several AVC messages when trying to shut down the live image.

See attachment#364763 [details]
Comment 2 James Laska 2009-10-14 11:10:47 EDT
Okay, Cc'ing dwalsh (SELinux) and rstrode (plymouth) for real this time.  See AVC messages on tty1 in the screenshot in attachment#364763 [details]
Comment 3 Daniel Walsh 2009-10-14 11:26:59 EDT
I can add the rules in Fixed in selinux-policy-3.6.32-26.fc12.noarch
But plymouthd_t is supposed to be a permissive domain. Access should have been allowed to the framebuffer and to request the kernel to load a module.

But I see success=no.  Which I think could be a bug in the kernel or the loading of the module failed for some other non SELinux error.
Comment 4 Daniel Walsh 2009-10-14 11:27:40 EDT
Should have said.

Fixed in selinux-policy-3.6.32-27.fc12.noarch
Comment 5 Eric Paris 2009-10-14 11:39:42 EDT
errno = -19 == -ENODEV.

I'm not certain that the -EPERM would be passed back up this path, but it might well not be an SELinux problem in this case...
Comment 6 Warren Togami 2009-10-14 16:07:00 EDT
Confirmed, -26 and -27 both allow LiveCD to shutdown after liveinst.

Bug #509632 in anaconda-12.38-1.fc12 (not yet in rawhide) fixed an issue where liveinst was screwing up stuff in /dev.  Could this possibly be related?
Comment 7 Bill Nottingham 2009-10-21 17:20:46 EDT
Given comment #4, should this be closed?
Comment 8 Jesse Keating 2009-10-21 18:09:39 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.